Create a New Segment

Creates a new segmentRequest for the specified account and dataset using the provided configuration. This includes applying filters and setting up any email notification preferences.

Query Params
string
required

The email address of the user creating the segmentRequest.

Body Params

The configuration details for the new segmentRequest, including filters and email notification settings.

string
required

Segment name.

string
required

Leadboxer accountId.

string
required

The dataset for which to create segment.

string
enum
required

Defines the visibility of the segment.

Possible values:
USER – Visible only to the current user.
ACCOUNT – Shared with all users of the account.

Allowed:
string

Text-based filter expression used to filter result fields.Format: field|operator|value. Multiple filters are comma-separated.

string

Numeric filter expression used to filter results based on numeric fields. Format: field|operator|value. Multiple filters are comma-separated. Supported numeric operators include greaterthan, lessthan, is, isnot, between, and notbetween. The between and notbetween operators use the format min-max.

string

Time-based filter expression used to filter results by time field. Format: field|operator|value.

Allowed fields (same as timeField parameter):

  • eventEsTimestamp : Last Seen
  • first_session_unix_timestamp : First Seen

Supported operators:

  • exactly → integer value (0 = Today, 1 = Yesterday)
  • lessthan → integer value (e.g. 6 = last 7 days)
  • between → date range in format dd/MM/yyyy-dd/MM/yyyy

Locale settings are taken into account while interpreting dates and returning results.

string

Field-based filter used to include leads based on field presence.

Format: operator|field1;field2

Allowed operator:

  • hasanyvalue

Allowed fields:

  • firstName
  • lastName
  • email

Multiple fields can be provided using semicolons.

string

Exit link filter used to include or exclude leads based on exit link values.

Format: field|operator|value

Supported operators:

  • contains
  • is
  • isnot
  • doesnotcontain

Multiple values can be provided using semicolons.

int32
0 to 100

Filters leads based on given minimum leadscore.

string

Display filter used to control which types of leads are returned.

Supported values:

  • company
  • person
  • unidentified

Selecting 'unidentified' returns leads that could not be identified as a company or a person.

Multiple values can be provided using semicolons.

string

Filters leads based on specified from user

string

Filters leads based specified owner(userId)

string

Filters leads based on presetInclusionList

string

Keyword search.

string
enum
Defaults to NONE

Email view type.
Possible values : NONE, LEAD, ACCOUNT

Allowed:
string
enum

Set notification frequency.

Possible values:
NONE : Do not send any notification.
DAILY : Send notification daily.
WEEKLY : Send notification weekly.

Allowed:
string

List of comma separated email addresses for notification.

string

Set headlines for the notification email.

string

Format for the segment notification.
Possible values : html, csv

int32

Day of week on which weekly notification will be sent. Possible values include numbers from 1 to 7 (where 1 refers to Monday).

string

List of comma separated fields to be included in CSV.

string

Field to sort result.
Possible values :
_score : records sorted by leadscore.
lastEvent : records sorted by activity time.
Default : _score

string

Sort order.
Possible values : asc, desc
Default : desc

string

View type.
Possible values : B2B, B2C
Default : B2B

string

Filters list file saved using List Settings Page.

string
string
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
application/json